#include <CraftConnect_ESP8266.h>

const char* ssid = "your ssid"; // Название сети WiFi
const char* password = "password"; // Пароль от WiFi
const int serverPort = 8888; //порт устройства
String passwordApp = "0000"; //пароль для приложения

CraftConnect app(ssid, password, serverPort, passwordApp);
CCScene scene(1000, 1000); //количество байт на пакет создания, обновления виджетов

void setup() {
  app.init(scene); //инициализация сцены | обязательный элемент 
  addWidget(); //добавление виджетов в сцену, см. ниже
}

void loop() {
  scene.getStringView("id0").setText("Сообщение"); // Изменение значения строки вывода  
  app.run(); // Обмен пакетами с приложениями | обязательный элемент 
  if (scene.getStringWrite("id1").isUpdated()) { //Проверка есть ли новые данные для строки ввода
    String msg = scene.getStringWrite("1").getValue(); //Взятие значения из виджета
  }
}

void addWidget(){ // Создание виджетов на сцене
  
  /* 
  *Все методы начинающиеся на set могут использоваться в любом месте программы
  *Если какие-либо методы виджета не будут использованны,
  параметры будут иметь значение по умолчанию (в том числе все цвета) 
  *Методы setHead, setHeadColor, setHaedBackgroundColor (методы оглавления виджета) присутствуют во всех виджетах
  *Все методы изменение цвета принимают 4 параметра в формате argb (alpha, red, green, blue) и в значении от 0 до 255
  */

  //Строчка вывода
  scene.addStringView("id0"); // Создание виджета вывода строчки, в параметрах задается айди в строковом значении
  scene.getStringView("id0") // Нахождение экземпляра виджета вывода строчки по айди
  //Cледующие 3 метода присутствуют во всех виджетов
    .setHead("Текст") // Оглавление виджета
    .setHeadColor(255,255,255,255) // Цвет символов оглавления
    .setHaedBackgroundColor(255,255,255,255) // Цвет фона оглавления
  // Cледующие методы используются только в конкретных виджетах
    .setText("Текст") //Текст виджета
    .setTextColor(255,255,255,255) // Цвет символов текста
    .setBackgroundColor(255,255,255,255); // Цвет фона текста
  
  //Строчка ввода
  scene.addStringWrite("id1"); // Создание вижета
  scene.getStringWrite("id1") // Нахождение экземпляра
    .setHint("Сообщение") //Текст на заднем плане
    .setBackgroundColor(255,255,255,255) //Цвет фона строки
  
}